#!/bin/bash

nReads=1000000;

WriteDir="Reads/"; #We can change this for new samples

nSamples=10;

for Community in 'Example' ; do
    
    if [[ ! -d $Community ]]; then
	echo "Community $Community does not exist"
	exit
    fi
    
 
    # This file is distributed with Metasim
    seqModel=errormodel-80bp.mconf
    outFile=${Community}/output.reads
    
    echo "Running MetaSim on $Community"
    
    echo -n "" > $outFile
    
    echo -e "\n\n# --- --- --- --- --- --- #\n\t$Community\n# --- --- --- --- --- --- #\n\n" >>$outFile
    echo "$Community"
    
    outPath=${Community}/${WriteDir}
    
    if [[ ! -d $outPath ]]; then 
	mkdir $outPath
    fi
    
    MetaSim cmd -mg $seqModel -r $nReads --output-dir $outPath -z ${Community}/Samples/* >>$outFile
    
done
